
<!--小航QQ：16027942 -->
<!doctype html>
<html lang="zh">

<head>
  <meta charset="utf-8" />
  <link rel="apple-touch-icon" sizes="76x76" href="assets/img/apple-icon.png">
  <link rel="icon" type="image/png" href="assets/img/favicon.png">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <title>
    抖音无水印解析 - Nico实验室
  </title>
  <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
  <!--     Fonts and icons     -->
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons" />
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">
  <!-- CSS Files -->
  <link href="assets/css/material-dashboard.css?v=2.1.0" rel="stylesheet" />
  <style>
.vid-wrap{
    width:100%;background: #000;
    position:relative;
    padding-bottom:56.25%;    /*需要用padding来维持16:9比例,也就是9除以16*/
    height: 0;
}
.vid-wrap video{
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 100%
}

  </style>
</head>

<body class="">
  <div class="wrapper ">
    <div class="sidebar" data-color="purple" data-background-color="white">
      <div class="logo">
        <a href="https://nico.gq/" class="simple-text logo-normal">
          Fujiwara Chika
        </a>
      </div>
      <div class="sidebar-wrapper">
        <ul class="nav">
          <li class="nav-item ">
            <a class="nav-link" href="index.php">
              <i class="material-icons">dashboard</i>
              <p>Home</p>
            </a>
          </li>
          <li class="nav-item active  ">
            <a class="nav-link" href="douyin.php">
              <i class="material-icons">dashboard</i>
              <p>抖音无水印解析</p>
            </a>
          </li>
<!--           <li class="nav-item "> -->
<!--             <a class="nav-link" href="news.php"> -->
<!--               <i class="material-icons">dashboard</i> -->
<!--               <p>IP签名档制作</p> -->
<!--             </a> -->
<!--           </li> -->
<!--           <li class="nav-item "> -->
<!--             <a class="nav-link" href=" "> -->
<!--               <i class="material-icons">dashboard</i> -->
<!--               <p>缩短网址</p> -->
<!--             </a> -->
<!--           </li> -->
<!--           <li class="nav-item "> -->
<!--             <a class="nav-link" target= _blank href=" "> -->
<!--               <i class="material-icons">dashboard</i> -->
<!--               <p>微博热搜</p> -->
<!--             </a> -->
<!--           </li> -->
          <!-- your sidebar here -->
        </ul>
      </div>
    </div>
    <div class="main-panel">
      <!-- Navbar -->
      <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top ">
        <div class="container-fluid">
          <div class="navbar-wrapper">
            <a class="navbar-brand">DouYin</a>
          </div>
          <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation">
            <span class="sr-only">Toggle navigation</span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
          </button>
          <div class="collapse navbar-collapse justify-content-end">
            <ul class="navbar-nav">
              <li class="nav-item">
                <a class="nav-link">
                  <i class="material-icons">notifications</i> Notifications
                </a>
              </li>
              <!-- your navbar here -->
            </ul>
          </div>
        </div>
      </nav>
      <!-- End Navbar -->
      <div class="content">
        <div class="container-fluid">
          <div class="card">
            <div class="card-header card-header-primary">
              <h3 class="card-title">抖音无水印解析</h3>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <p>使用方法:</p>
                  <ol>
                    <li>打开抖音短视频APP，点开某个视频，点击右下角分享按钮，在分享弹框中点击复制链接或通过分享到微信QQ等获取分享链接</li>
                    <li>将刚才复制的链接粘贴到下面的输入框</li>
                    <li>点击解析视频把生成的网址复制到浏览器中打开</li>
                  </ol>
                  <form action='' method='post'>
                  <div class="form-group">
                      <div id="myDiv1"><label>输入网址</label></div>
                      <input type="text" value="http://v.douyin.com/YRYJGL" name="input1" id="input1" class="form-control">
                  </div>
                  </form>
                </div>
              </div>
            </div>
            <div class="col-md-12">
              <div class="places-buttons">
                <div class="row">
                  <div class="col-lg-8 col-md-10 ml-auto mr-auto">       
                      <div class="col-md-12">
                        <button class="btn btn-primary btn-block" onclick='setValue()'>解析视频</button>
                          <div class="vid-wrap">
                            <video id="media" controls>
                              <source id="v1" src="" type="video/webm"> 
                            </video>		
                          </div>  
                        <pre><code><div id="myDiv"></div></code></pre> 
					  </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <footer class="footer">
        <div class="container-fluid">
          <nav class="float-left">
            <ul>
              <li>
                <a>
                  Creative Tim
                </a>
              </li>
<!--               <li> -->
<!--                 <a> -->
<!--                   About Us -->
<!--                 </a> -->
<!--               </li> -->
<!--               <li> -->
<!--                 <a href=" "> -->
<!--                   Blog -->
<!--                 </a> -->
<!--               </li> -->
            </ul>
          </nav>
          <div class="copyright float-right">
            &copy;
            <script>
              document.write(new Date().getFullYear())
            </script>, made with <i class="material-icons">favorite</i> by
            Fujiwara Chika for a better web.
          </div>
        </div>
      </footer>
    </div>
  </div>
  <!--   Core JS Files   -->
  <script src="assets/js/core/jquery.min.js" type="text/javascript"></script>
  <script src="assets/js/core/popper.min.js" type="text/javascript"></script>
  <script src="assets/js/core/bootstrap-material-design.min.js" type="text/javascript"></script>
  <script src="assets/js/plugins/perfect-scrollbar.jquery.min.js"></script>
  <!-- Chartist JS -->
  <script src="assets/js/plugins/chartist.min.js"></script>
  <!--  Notifications Plugin    -->
  <script src="assets/js/plugins/bootstrap-notify.js"></script>
  <!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
  <script src="assets/js/material-dashboard.min.js?v=2.1.0" type="text/javascript"></script>
<script>
        function  setValue()
        {
        var v =  document.getElementById("input1").value;//取得参数
            var xmlhttp;
            if (window.XMLHttpRequest)
              {// code for IE7+, Firefox, Chrome, Opera, Safari
              xmlhttp=new XMLHttpRequest();
              }
            else
              {// code for IE6, IE5
              xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
              }
            xmlhttp.open("GET","jx/douyin.php?url="+v,false);
            xmlhttp.send();
            document.getElementById("myDiv").innerHTML=xmlhttp.responseText;//获取数据
		　var jsonObj = JSON.parse(xmlhttp.responseText);  // 初始化！！！
        //document.getElementById("input1").value= jsonObj.url; //注释解析
        document.getElementById("v1").src = jsonObj.url; 
        document.getElementById("media").load();
        md.showNotification('top','right');//
        }
</script>
</body>
</html>